net/grpc - The NetBSD Packages Collection

High performance, open-source universal RPC framework

gRPC is a modern, open source remote procedure call (RPC) framework
that can run anywhere. It enables client and server applications to
communicate transparently, and makes it easier to build connected
systems.

Build dependencies

benchmarks/google-benchmark pkgtools/cwrappers devel/cmake devel/pkgconf

Runtime dependencies

devel/abseil devel/gflags devel/protobuf devel/protobuf devel/re2 net/libcares net/libcares devel/protobuf net/libcares

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfgrpc-1.34.0.tgz
NetBSD 8.0earmv7hfgrpc-1.32.0.tgz
NetBSD 8.0earmv7hfgrpc-1.36.4.tgz
NetBSD 8.0i386grpc-1.36.4.tgz
NetBSD 8.0x86_64grpc-1.36.4.tgz
NetBSD 8.0x86_64grpc-1.32.0.tgz
NetBSD 8.0x86_64grpc-1.34.0.tgz
NetBSD 9.0aarch64grpc-1.36.4.tgz
NetBSD 9.0aarch64grpc-1.34.0.tgz
NetBSD 9.0earmv6hfgrpc-1.36.4.tgz
NetBSD 9.0earmv6hfgrpc-1.32.0.tgz
NetBSD 9.0earmv6hfgrpc-1.34.0.tgz
NetBSD 9.0earmv6hfgrpc-1.34.0.tgz
NetBSD 9.0earmv7hfgrpc-1.36.4.tgz
NetBSD 9.0earmv7hfgrpc-1.32.0.tgz
NetBSD 9.0earmv7hfgrpc-1.34.0.tgz
NetBSD 9.0earmv7hfgrpc-1.34.0.tgz
NetBSD 9.0earmv7hfgrpc-1.36.4.tgz
NetBSD 9.0i386grpc-1.36.4.tgz
NetBSD 9.0mips64ebgrpc-1.36.4.tgz
NetBSD 9.0mips64ebgrpc-1.34.0.tgz
NetBSD 9.0sparc64grpc-1.36.4.tgz
NetBSD 9.0sparc64grpc-1.29.1.tgz
NetBSD 9.0sparc64grpc-1.32.0.tgz
NetBSD 9.0sparc64grpc-1.34.0.tgz
NetBSD 9.0x86_64grpc-1.33.2.tgz
NetBSD 9.0x86_64grpc-1.34.0.tgz
NetBSD 9.0x86_64grpc-1.35.0.tgz
NetBSD 9.0x86_64grpc-1.36.4.tgz
NetBSD 9.0x86_64grpc-1.32.0.tgz
NetBSD 9.0x86_64grpc-1.34.0.tgz
NetBSD 9.0x86_64grpc-1.36.4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.